Package oracle.jdbc.aq

## Enum AQDequeueOptions.DequeueMode

- java.lang.Object
- - java.lang.Enum<AQDequeueOptions.DequeueMode>
  - - oracle.jdbc.aq.AQDequeueOptions.DequeueMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AQDequeueOptions.DequeueMode>`

Enclosing class:
  AQDequeueOptions

    public static enum AQDequeueOptions.DequeueMode
    extends java.lang.Enum<AQDequeueOptions.DequeueMode>

### Enum Constant Summary

Enum Constants
`BROWSE` Read the message without acquiring any lock on the message.
`LOCKED` Read and obtain a write lock on the message.
`REMOVE` Read the message and update or delete it.
`REMOVE_NODATA` Confirm receipt of the message, but do not deliver the actual message content.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static AQDequeueOptions.DequeueMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AQDequeueOptions.DequeueMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BROWSE

    public static final AQDequeueOptions.DequeueMode BROWSE

Read the message without acquiring any lock on the message. This is equivalent to a SELECT statement.

#### LOCKED

    public static final AQDequeueOptions.DequeueMode LOCKED

Read and obtain a write lock on the message. The lock lasts for the duration of the transaction. This is equivalent to a SELECT FOR UPDATE statement.

#### REMOVE

    public static final AQDequeueOptions.DequeueMode REMOVE

Read the message and update or delete it. This is the default. Note that the message can be retained in the queue table based on the retention properties.

#### REMOVE_NODATA

    public static final AQDequeueOptions.DequeueMode REMOVE_NODATA

Confirm receipt of the message, but do not deliver the actual message content.

### Method Detail

#### values

    public static AQDequeueOptions.DequeueMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AQDequeueOptions.DequeueMode c : AQDequeueOptions.DequeueMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AQDequeueOptions.DequeueMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).